Skip to content

Stored only in your browser. Get one under Tokens.

Register a new device using the IDevID csr

POST
/devices/register

Register a new device using the IDevID csr

Authorizations

ApiKeyAuth
Type
API Key (header: Authorization)

Request Body

application/json
JSON
{
  
"csr": "string",
  
"device-name": "string",
  
"name": "string"
}

Responses

OK

application/json
JSON
{
  
"challenge": "string",
  
"device-meta": {
  
  
"additionalProperties": "string"
  
},
  
"garbage": true,
  
"id": "string",
  
"mark_public_processed": true,
  
"nick": "string",
  
"ovmode": {
  
  
"mode": "string",
  
  
"root_of_trust": "string",
  
  
"status": "string"
  
},
  
"owner": "string",
  
"owner-nick": "string",
  
"ownership_unverified": true,
  
"prn": "string",
  
"public": true,
  
"secret": "string",
  
"time-created": "string",
  
"time-modified": "string",
  
"user-meta": {
  
  
"additionalProperties": "string"
  
}
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI